/* Localized versions of task strings */

taskString = "Network Interfaces";
taskDescription = "Network Interfaces Report";
longTaskDescription = "Report information about network interfaces on target computers";
actionString = "Get Report";
allList = "All Fields:";

summary = "Included fields: %@";
summarySeparator = ", ";

kNIGroup_NetworkOverview = "Network Overview";
kNIGroup_ActiveInterface = "Active Interface";
kNIGroup_NetworkStatistics = "Network Statistics";
kNIGroup_OutputStatistics = "Output Statistics";
kNIGroup_EthernetStatistics = "Ethernet Statistics";

kNI_ConfigurationName = "Name";
kNI_IsActive = "Active";
kNI_IsPrimary = "Primary";
kNI_ConfigurationType = "Configured With";
kNI_DomainName = "Domain";
kNI_HardwareAddress = "Hardware Address";
kNI_InterfaceName = "Interface Name";
kNI_InterfaceFlags = "Flags";
kNI_RouterAddress = "Router Address";
kNI_PrimaryIPAddress = "IP Address";
kNI_PrimaryBroadcastAddress = "Broadcast Address";
kNI_PrimaryDNSServer = "DNS Server";
kNI_PrimarySubnetMask = "Subnet Mask";
kNI_AllIPAddresses = "IP Addresses";
kNI_AllBroadcastAddresses = "Broadcast Addresses";
kNI_AllDNSServers = "DNS Servers";
kNI_AllSubnetMasks = "Subnet Masks";
kNI_NetworkCollisions = "Network Collisions";
kNI_NetworkInputErrors = "Network Input Errors";
kNI_NetworkInputPackets = "Network Input Packets";
kNI_NetworkOutputErrors = "Network Output Errors";
kNI_NetworkOutputPackets = "Network Output Packets";
kNI_OutputQueueCapacity = "Output Queue Capacity";
kNI_OutputQueueSize = "Output Queue Size";
kNI_OutputQueuePeakSize = "Output Queue Peak Size";
kNI_OutputQueueDropCount = "Output Queue Drop Count";
kNI_OutputQueueOutputCount = "Output Queue Output Count";
kNI_OutputQueueRetryCount = "Output Queue Retry Count";
kNI_OutputQueueStallCount = "Output Queue Stall Count";
kNI_EthernetAlignmentErrors = "Ethernet Alignment Errors";
kNI_EthernetFCSErrors = "Ethernet FCS Errors";
kNI_EthernetSingleCollisionFrames = "Ethernet Single Collision Frames";
kNI_EthernetMultipleCollisionFrames = "Ethernet Multiple Collision Frames";
kNI_EthernetSQETestErrors = "Ethernet SQE Test Errors";
kNI_EthernetDeferredTransmissions = "Ethernet Deferred Transmissions";
kNI_EthernetLateCollisions = "Ethernet Late Collisions";
kNI_EthernetExcessiveCollisions = "Ethernet Excessive Collisions";
kNI_EthernetInternalMacTxErrors = "Ethernet Internal MAC Transmit Errors";
kNI_EthernetCarrierSenseErrors = "Ethernet Carrier Sense Errors";
kNI_EthernetFrameTooLongs = "Ethernet Frames Too Long";
kNI_EthernetInternalMacRxErrors = "Ethernet Internal MAC Receive Errors";
kNI_EthernetChipSet = "Ethernet Chip Set";
kNI_EthernetMissedFrames = "Ethernet Missed Frames";
kNI_EthernetRxOverruns = "Ethernet Receiver Overruns";
kNI_EthernetRxWatchdogTimeouts = "Ethernet Receiver Watchdog Timeouts";
kNI_EthernetRxFrameTooShorts = "Ethernet Receiver Frames Too Short";
kNI_EthernetRxCollisionErrors = "Ethernet Receiver Collision Errors";
kNI_EthernetRxPHYTransmissionErrors = "Ethernet Receiver PHY Errors";
kNI_EthernetRxTimeouts = "Ethernet Receiver Timeouts";
kNI_EthernetRxInterrupts = "Ethernet Receiver Interrupts";
kNI_EthernetRxResets = "Ethernet Receiver Resets";
kNI_EthernetRxResourceErrors = "Ethernet Receiver Resource Errors";
kNI_EthernetTxUnderruns = "Ethernet Transmitter Underruns";
kNI_EthernetTxJabberEvents = "Ethernet Transmitter Jabber Events";
kNI_EthernetTxPHYTransmissionErrors = "Ethernet Transmitter PHY Errors";
kNI_EthernetTxTimeouts = "Ethernet Transmitter Timeouts";
kNI_EthernetTxInterrupts = "Ethernet Transmitter Interrupts";
kNI_EthernetTxResets = "Ethernet Transmitter Resets";
kNI_EthernetTxResourceErrors = "Ethernet Transmitter Resource Errors";
kNI_EthernetCollisionFrequencies = "Ethernet Collision Frequencies";
kNI_DataDate = "Date Collected";

AirPort = "AirPort";
Ethernet = "Ethernet";
FireWire = "FireWire";
"PPP (AppleVPN)" = "PPP (AppleVPN)";
"PPP (Serial)" = "PPP (Serial)";
